itpp::it_file_base::file_header Struct Reference

File header structure. More...

`#include <itpp/base/itfile.h>`

## Public Attributes

char | magic [4]
| IT++ file marker: "IT++".
char | version
| IT++ file format version.

## Detailed Description

File header structure.

Definition at line 115 of file itfile.h.

## Member Data Documentation

## magic

char itpp::it_file_base::file_header::magic[4]

IT++ file marker: "IT++".

Definition at line 117 of file itfile.h.

## version

char itpp::it_file_base::file_header::version

IT++ file format version.

Definition at line 119 of file itfile.h.

The documentation for this struct was generated from the following file:

- itpp/base/itfile.h

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8